import React from "react";
import PropTypes from "prop-types";

export const IconStuttgart = (props) => {
  const { fill, size } = props;

  return (
    <svg version="1.2" xmlns="http://www.w3.org/2000/svg" overflow="visible" preserveAspectRatio="none" viewBox="0 0 514 514" width="60" height="60">
      <g fill={fill}>
        <path d="M476.783 259.588V79.679a8 8 0 00-8-8h-38.446v-5.557c10.433-3.383 18-13.19 18-24.735 0-14.336-11.663-26-26-26s-26 11.664-26 26c0 11.546 7.567 21.353 18 24.735v5.557h-38.445a8 8 0 00-8 8v179.909h-79.565V187.24a8 8 0 00-8-8H42.848a8 8 0 00-8 8v72.348H15.217v16h19.631v208.136H15.217v16l480 .02v-16.02h-18.435v-46.657h18.435v-16h-18.435v-69.323h18.435v-16h-26.435a8 8 0 00-8 8v139.98H445.87v-139.98a8 8 0 00-8-8h-31.696a8 8 0 00-8 8v139.98h-14.282V275.588h111.327v-16h-18.436zM422.337 31.387c5.514 0 10 4.486 10 10s-4.486 10-10 10-10-4.486-10-10 4.486-10 10-10zM50.848 195.241h221.478v288.483h-30.804v-46.657h17.108v-16h-50.057V258.314c0-25.908-21.078-46.986-46.987-46.986-25.908 0-46.986 21.078-46.986 46.986v162.753H64.544v16h17.108v46.657H50.848V195.241zm46.804 288.483v-46.657h24.581c.123.006.243.019.367.019h77.974c.124 0 .245-.013.367-.019h24.581v46.657H97.652zm94.922-62.657H130.6V258.314c0-17.086 13.9-30.986 30.986-30.986 17.087 0 30.987 13.9 30.987 30.986v162.753zm143.383 0h-15.695v-69.323h15.695v69.323zm-15.696 16h15.695v46.657h-15.695v-46.657zm109.609-85.324v69.323h-15.696v-69.323h15.696zm-15.697 85.324h15.696v46.657h-15.696v-46.657zm-62.216 46.657v-139.98a8 8 0 00-8-8h-31.695a8 8 0 00-8 8v139.98h-15.936V275.588h79.565v208.136h-15.934zm31.934-224.136V87.679h76.892v171.909h-76.892z" vectorEffect="non-scaling-stroke"/>
        <path d="M406.173 285.588a8 8 0 00-8 8v25.043a8 8 0 008 8h31.696a8 8 0 008-8v-25.043a8 8 0 00-8-8h-31.696zm23.697 25.043h-15.696v-9.043h15.696v9.043zM460.783 293.588v25.043a8 8 0 008 8h26.435v-16h-18.435v-9.043h18.435v-16h-26.435a8 8 0 00-8 8zM422.337 124.153c-14.337 0-26 11.664-26 26s11.663 26 26 26 26-11.664 26-26-11.664-26-26-26zm0 36c-5.514 0-10-4.486-10-10s4.486-10 10-10 10 4.486 10 10-4.487 10-10 10zM161.587 363.657c-12.683 0-23 10.317-23 23s10.317 23 23 23 23-10.317 23-23-10.318-23-23-23zm0 30c-3.859 0-7-3.141-7-7s3.141-7 7-7 7 3.141 7 7-3.141 7-7 7z" vectorEffect="non-scaling-stroke"/>
      </g>
    </svg>
  );
};

IconStuttgart.propTypes = {
  fill: PropTypes.string
};

IconStuttgart.defaultProps = {
  fill: "var(--color-dark)"
}